when:
  - event: push
    branch: main

steps:
  - name: build
    image: woodpeckerci/plugin-docker-buildx
    settings:
      platforms: linux/amd64,linux/arm64
      repo: git.hydrar.de/navos/navos-site
      registry: git.hydrar.de
      tag: latest
      username: jmarya
      password:
        from_secret: registry_token
